EndpointsLeagues
Read a Persistent diagnostic checkpoint
GET
/v2/leagues/{league_id}/players/{player_id}/persistent-sessions/{session_id}Read the latest bounded diagnostic checkpoint for one exact controller launch.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League ID.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$player_id*Player Id
Player ID.
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$session_id*Session Id
Exact controller launch ID; never substituted with a newer launch.
Format
uuidcurl -X GET "https://example.com/v2/leagues/string/players/string/persistent-sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "session": { "runtime_id": "cb6c5dda-251e-4b64-ab75-e6c8247ffa87", "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82", "player_id": "string", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "coworld_id": "string", "generation": 0, "created_at": "2019-08-24T14:15:22Z" }, "status": "available", "coverage": "latest_for_session", "stored_at": "2019-08-24T14:15:22Z", "size_bytes": 0, "download_url": "string"}